package org.bench4q.share.models.master;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class TestPlanResponseModel {
	private boolean success;
	private String failCause;
	private List<TestPlanDBModel> testPlanDBModels;
	private String[] filterTypeList;

	@XmlElement
	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	@XmlElement
	public String getFailCause() {
		return failCause;
	}

	public void setFailCause(String failCause) {
		this.failCause = failCause;
	}

	@XmlElementWrapper
	@XmlElement
	public List<TestPlanDBModel> getTestPlanDBModels() {
		return testPlanDBModels;
	}

	public void setTestPlanDBModels(List<TestPlanDBModel> testPlanDBModels) {
		this.testPlanDBModels = testPlanDBModels;
	}

	public String[] getFilterTypeList() {
		return filterTypeList;
	}

	public void setFilterTypeList(String[] filterTypeList) {
		this.filterTypeList = filterTypeList;
	}

}
